<div class="contentRight">
  <div class="contentFull left filler-bottom-end-p">

    <div class="content-holder">
      <h3>{{'Article.Subscribers' | translate }}</h3>
      <!--<a class="smaller" href="@Url.Action(" index", "newspaper" , new { id=Model.Newspaper.Id })"></a>-->
      <a href="{{hostUrl}}/newspaper/{{newspaperId}}" target="_blank">&#9664; {{'Social.Article.Back2Newspaper' | translate }}</a>
      <nz-spin [nzSpinning]="isLoading[0]">
        <ng-container *ngIf="subscribers.length > 0;else noSubscribers">

          <div class="newspView filler-top">
            <table class="subscribers tableColor smaller">
              <thead>
                <tr>
                  <th></th>
                  <th></th>
                  <th>{{'General.Common.Country' | translate }}</th>
                  <th>{{'Social.Article.Subscribed' | translate }}</th>
                </tr>
              </thead>
              <tbody>

                <tr *ngFor="let sub of subscribers">
                  <td>
                    <a href="#">
                      <img src="{{hostUrl}}/{{sub.entity.avatarLocation}}" alt="#" title="" />
                    </a>
                  </td>
                  <td>
                    <a href="{{hostUrl}}/{{sub.entity.entityTypeName | lowercase}}/{{sub.entity.entityId}}" target="_blank">
                      {{sub.entity.name}}
                    </a>
                  </td>
                  <td>
                    <a href="{{hostUrl}}/country/{{sub.entity.countryId}}" target="_blank">{{sub.entity.countryName}}</a>
                    <!--<a href="@Url.Action(" index", "country" , new { id=sub.CountryId })"><img src="~/@(vPopulus.Services.Countries.CountryService.GetFlagLocation(" s", sub.CountryId))"></a>-->
                  </td>
                  <td>
                    Day {{sub.gameDay}} <!--@(DateTimeHelper.GameDay(sub.SinceDateTime))-->
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <nz-pagination [(nzPageIndex)]="page" [nzTotal]="totalSubscribers" nzShowSizeChanger [(nzPageSize)]="pageSize" (nzPageSizeChange)="getSubscribers()" (nzPageIndexChange)="getSubscribers()">
          </nz-pagination>
        </ng-container>
      </nz-spin>

      <ng-template #noSubscribers>
        <p>This newspaper has no subscribers.</p>
      </ng-template>
    </div>
  </div>
</div>
<div class="clear"></div>
